<?php
// require:
require_once 'Symfony/Component/Security/Core/autoload.php';
// suggest:
if (stream_resolve_include_path('Symfony/Component/ClassLoader/autoload.php')){
    include_once 'Symfony/Component/ClassLoader/autoload.php';
}
if (stream_resolve_include_path('Symfony/Component/Finder/autoload.php')){
    include_once 'Symfony/Component/Finder/autoload.php';
}
if (stream_resolve_include_path('Doctrine/Common/autoload.php')){
    include_once 'Doctrine/Common/autoload.php';
}
if (stream_resolve_include_path('Doctrine/DBAL/autoload.php')){
    include_once 'Doctrine/DBAL/autoload.php';
}

// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
// this is an autogenerated file - do not edit
spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
                'symfony\\component\\security\\acl\\dbal\\aclprovider' => '/Dbal/AclProvider.php',
                'symfony\\component\\security\\acl\\dbal\\mutableaclprovider' => '/Dbal/MutableAclProvider.php',
                'symfony\\component\\security\\acl\\dbal\\schema' => '/Dbal/Schema.php',
                'symfony\\component\\security\\acl\\domain\\acl' => '/Domain/Acl.php',
                'symfony\\component\\security\\acl\\domain\\aclcollectioncache' => '/Domain/AclCollectionCache.php',
                'symfony\\component\\security\\acl\\domain\\auditlogger' => '/Domain/AuditLogger.php',
                'symfony\\component\\security\\acl\\domain\\doctrineaclcache' => '/Domain/DoctrineAclCache.php',
                'symfony\\component\\security\\acl\\domain\\entry' => '/Domain/Entry.php',
                'symfony\\component\\security\\acl\\domain\\fieldentry' => '/Domain/FieldEntry.php',
                'symfony\\component\\security\\acl\\domain\\objectidentity' => '/Domain/ObjectIdentity.php',
                'symfony\\component\\security\\acl\\domain\\objectidentityretrievalstrategy' => '/Domain/ObjectIdentityRetrievalStrategy.php',
                'symfony\\component\\security\\acl\\domain\\permissiongrantingstrategy' => '/Domain/PermissionGrantingStrategy.php',
                'symfony\\component\\security\\acl\\domain\\rolesecurityidentity' => '/Domain/RoleSecurityIdentity.php',
                'symfony\\component\\security\\acl\\domain\\securityidentityretrievalstrategy' => '/Domain/SecurityIdentityRetrievalStrategy.php',
                'symfony\\component\\security\\acl\\domain\\usersecurityidentity' => '/Domain/UserSecurityIdentity.php',
                'symfony\\component\\security\\acl\\exception\\aclalreadyexistsexception' => '/Exception/AclAlreadyExistsException.php',
                'symfony\\component\\security\\acl\\exception\\aclnotfoundexception' => '/Exception/AclNotFoundException.php',
                'symfony\\component\\security\\acl\\exception\\concurrentmodificationexception' => '/Exception/ConcurrentModificationException.php',
                'symfony\\component\\security\\acl\\exception\\exception' => '/Exception/Exception.php',
                'symfony\\component\\security\\acl\\exception\\invaliddomainobjectexception' => '/Exception/InvalidDomainObjectException.php',
                'symfony\\component\\security\\acl\\exception\\noacefoundexception' => '/Exception/NoAceFoundException.php',
                'symfony\\component\\security\\acl\\exception\\notallaclsfoundexception' => '/Exception/NotAllAclsFoundException.php',
                'symfony\\component\\security\\acl\\exception\\sidnotloadedexception' => '/Exception/SidNotLoadedException.php',
                'symfony\\component\\security\\acl\\model\\aclcacheinterface' => '/Model/AclCacheInterface.php',
                'symfony\\component\\security\\acl\\model\\aclinterface' => '/Model/AclInterface.php',
                'symfony\\component\\security\\acl\\model\\aclproviderinterface' => '/Model/AclProviderInterface.php',
                'symfony\\component\\security\\acl\\model\\auditableaclinterface' => '/Model/AuditableAclInterface.php',
                'symfony\\component\\security\\acl\\model\\auditableentryinterface' => '/Model/AuditableEntryInterface.php',
                'symfony\\component\\security\\acl\\model\\auditloggerinterface' => '/Model/AuditLoggerInterface.php',
                'symfony\\component\\security\\acl\\model\\domainobjectinterface' => '/Model/DomainObjectInterface.php',
                'symfony\\component\\security\\acl\\model\\entryinterface' => '/Model/EntryInterface.php',
                'symfony\\component\\security\\acl\\model\\fieldentryinterface' => '/Model/FieldEntryInterface.php',
                'symfony\\component\\security\\acl\\model\\mutableaclinterface' => '/Model/MutableAclInterface.php',
                'symfony\\component\\security\\acl\\model\\mutableaclproviderinterface' => '/Model/MutableAclProviderInterface.php',
                'symfony\\component\\security\\acl\\model\\objectidentityinterface' => '/Model/ObjectIdentityInterface.php',
                'symfony\\component\\security\\acl\\model\\objectidentityretrievalstrategyinterface' => '/Model/ObjectIdentityRetrievalStrategyInterface.php',
                'symfony\\component\\security\\acl\\model\\permissiongrantingstrategyinterface' => '/Model/PermissionGrantingStrategyInterface.php',
                'symfony\\component\\security\\acl\\model\\securityidentityinterface' => '/Model/SecurityIdentityInterface.php',
                'symfony\\component\\security\\acl\\model\\securityidentityretrievalstrategyinterface' => '/Model/SecurityIdentityRetrievalStrategyInterface.php',
                'symfony\\component\\security\\acl\\permission\\abstractmaskbuilder' => '/Permission/AbstractMaskBuilder.php',
                'symfony\\component\\security\\acl\\permission\\basicpermissionmap' => '/Permission/BasicPermissionMap.php',
                'symfony\\component\\security\\acl\\permission\\maskbuilder' => '/Permission/MaskBuilder.php',
                'symfony\\component\\security\\acl\\permission\\maskbuilderinterface' => '/Permission/MaskBuilderInterface.php',
                'symfony\\component\\security\\acl\\permission\\maskbuilderretrievalinterface' => '/Permission/MaskBuilderRetrievalInterface.php',
                'symfony\\component\\security\\acl\\permission\\permissionmapinterface' => '/Permission/PermissionMapInterface.php',
                'symfony\\component\\security\\acl\\util\\classutils' => '/Util/ClassUtils.php',
                'symfony\\component\\security\\acl\\voter\\aclvoter' => '/Voter/AclVoter.php',
                'symfony\\component\\security\\acl\\voter\\fieldvote' => '/Voter/FieldVote.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn]) and file_exists(__DIR__ . $classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    },
    true,
    false
);
// @codeCoverageIgnoreEnd
